version: '2'
services:
  layoutv2:
    hostname: layoutv2
    container_name: layoutv2
    restart: always
    image: layout:v2
    privileged: true
    ipc: host
    tty: true
    working_dir: /workspace
    ports:
      - '18080:8080'
    volumes:
      - ./:/workspace
    deploy:
      resources:
        reservations:
          devices:
            - capabilities: [gpu]
